Skip to main content
`Ctrl`+`K`

# SNESMultiblockSetIS

Sets the global row indices for one particular block in a `SNESMULTIBLOCK` solver

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMultiblockSetIS(SNES snes, const char name[], IS is)

Logically Collective

## Input Parameters

- snes - the solver context

- name - name of this block, if `NULL` the number of the block is used

- is - the index set that defines the global row indices in this block

## Notes

Use `SNESMultiblockSetFields()`, for blocks defined by strides.

This function is called once per block (it creates a new block each time). Solve options for this block will be available under the prefix -multiblock_BLOCKNAME_.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESMULTIBLOCK`, `SNESMultiblockGetSubSNES()`, `SNESMultiblockSetBlockSize()`, `SNESMultiblockSetFields()`

## Level

intermediate

## Location

src/snes/impls/multiblock/multiblock.c

## Implementations

SNESMultiblockSetIS_Default() in src/snes/impls/multiblock/multiblock.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages